%global gem_name aws-sdk

Name:           rubygem-%{gem_name}
Version:        2.1.11
Release:        1%{?dist}
Summary:        AWS SDK for Ruby

Group:          Development/Languages
License:        ASL 2.0
URL:            http://github.com/aws/aws-sdk-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(aws-sdk-resources)

%description
The official AWS SDK for Ruby. Provides both resource oriented interfaces and
API clients for AWS services.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

for f in LICENSE.txt NOTICE.txt README.md; do
  cp -a %{gem_dir}/gems/aws-sdk-resources-%{version}/${f} %{buildroot}%{gem_instdir}/
done


%check
# Dummy package without testsuite
ruby -e "require 'aws-sdk'; p Aws::VERSION"


%files
%license %{gem_instdir}/LICENSE.txt
%license %{gem_instdir}/NOTICE.txt
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}/


%changelog
* Mon Aug 03 2015 František Dvořák <valtri@civ.zcu.cz> - 2.1.11-1
- Initial package
